# Luakit Documentation / Classes / widget:paned

# Class `widget:paned`

Paned widget
This module is only available from the UI process Lua state.

The paned widget provides a two-pane interface widget, with a draggable slider between panes.

## Methods

### paned:pack1 (child, options)

Add a widget to the left/top panel. There are two options that can be set:

- `resize`: whether the new child widget should be resized as the pane is resized.
- `shrink`: whether the new child widget should be shrunk smaller than its default size.

#### Parameters

- child
  Type: widget
  The widget to add as a new child.
- options
  Type: table or nil
  Table of options.

### paned:pack2 (child, options)

Add a widget to the right/bottom panel. Otherwise the same as `pack1()`.

#### Parameters

- child
  Type: widget
  The widget to add as a new child.
- options
  Type: table or nil
  Table of options.

## Properties

### paned.top

Type: widget
Read-only
The top/left pane child widget.

### paned.left

Type: widget
Read-only
The top/left pane child widget.

### paned.bottom

Type: widget
Read-only
The bottom/right pane child widget.

### paned.right

Type: widget
Read-only
The bottom/right pane child widget.

### paned.position

Type: number
Read-write
The current position of the divider, in pixels.

## Attribution

#### Copyright

- 2010 Mason Larobina